Create output profile

Creates an output profile.

An output profile is configuration that identifies the loss tables, EP metrics, and statistics output to an analysis result.

An output profile must be specified in every request that initiates a modeling job. This output profile specifies the granularity (resolution) of the results the and the financial perspectives used to calculate modeled losses.

Request Object

The output profile is defined by an array of metricRequest objects that identify the metrics returned. For each object, the request must specify a metricType, granularity, and perspective.

{
  "name": "Admin2-GU-Metrics",
  "excludeDefaultMetrics": true,
  "metricRequests": [
    {
      "metricType": "EP",
      "perspective": "GU",
      "granularity": ["Country", "Admin1", "Admin2", "lossType"]
    },
    {
      "metricType": "STATS",
      "perspective": "GU",
      "granularity": ["Country", "Admin1", "Admin2", "lossType"]
    },
    {
      "metricType": "LOSS_TABLES",
      "perspective": "GU",
      "granularity": ["Country", "Admin1", "Admin2", "lossType"]
    }
  ]
}

The API enforces certain parameter inter-dependencies between the values specified for the metricType, granularity, and perspective parameters. For example, not all metric types are supported at all output levels (granularities).

Metric Types

Depending on the analysis type (DLM or HD), perspectives, and output level. The following metric types are supported in different configurations:

Metric TypeDescription
DAMAGEOutput returns location-level damage distribution data for each sample, event, and subperil.
HAZARDOutput returns location-level parameters of hazard data for each sample, event, and subperil.
UNCERTAINTYOutput returns sampled damage ratios of hazard data for each sample, event, and subperil.
EPOutput returns exceedance probability curves:AEP, OEP, TCE-OEP, and TCE-AEP
STATSOutput returns statistics: AAL, SD, and CV
LOSS_TABLEOutput returns loss tables: ELT for DLM analyses or PLT for HD analyses.

The DAMAGE, HAZARD, and UNCERTAINTY export types are supported for DLM Non-EP analyses only.

Perspectives

A financial perspective identifies the financial structures have been considered in the calculation of the loss statistics. To learn more, see Financial Perspectives.

Note: Select financial perspectives for EP output in order to be able to select financial perspectives on the results pages. If you select financial perspectives only for Stats and/or Loss Tables, the financial perspectives will not be selectable on the results pages.

The RG (Reinsurance Gross) financial perspective must be specified in an output profile to generate treaty-level output. If RG is not specified in the output profile, the analysis result uses the regular (portfolio-level) EP engine rather than the catastrophe treaty EP engine and does not generate the reinsurance gross perspective.

Granularities

The granularity array specifies the resolution of the metrics (STATS, EP, or LOSS_TABLES) returned by the analysis, i.e. level at which the output metrics are computed. Each granularity array specifies a collection of granularities that define an output level.

The Risk Modeler application defines resolution levels specified in an output profile by output level. In Legacy API, these output levels are defined as collections of granularity values.

Output levels are identified differently in the Legacy API than they are in the Risk Modeler application. The Risk Modeler application provides each output level with a label that masks the fact that each output level is in fact a collection of granularities.

Thus, to define the Admin 2 by Cedant by LOB output level as defined in the Risk Modeler application, the API request must specify the following granularity object:

{
  "granulariy": {
    "Country": "String",
    "Admin1": "String",
    "Admin2": "String",
    "Cedant": "String",
    "LOB": "String"
  }
}

Note that a Country value must be specified in every Admin1 Admin2 or PostalCode granularity request and an Admin1 value must be specified in an Admin2 granularity request object.

In most other instances, the label that identifies a granularity in the Risk Modeler application accurately identifies the constituent values that must be specified. For example, the Cresta by LOB by Cedant granularity is defined by an object that consists of Cresta, LOB, and Cedant.

The table identifies the granularity values that must be specified in a body of a request to define each of Granularity options displayed in the Risk Modeler application:

Output LevelGranularity Array Values
AccountContract
Account by LOBContract, LOB
Account by Loss TypeContract, LossType
Admin1Country, Admin1,
Admin1 by CedantCountry, Admin1, Cedant
Admin1 by LOBCountry, Admin1, LOB
Admin1 by Loss TypeCountry, Admin1, LossType
Admin2Country, Admin1, Admin2
Admin2 by CedantCountry, Admin1, Admin2, Cedant
Admin2 by LOBCountry, Admin1, Admin2, LOB
Admin2 by Loss TypeCountry, Admin1, Admin2, Loss Type
BuildingBuilding
Building by Loss TypeBuilding, LossType
Building by People GroupBuildingPeopleGroup
CedantCedant
CityCity
City by LOBCity, LOB
CountryCountry
Country by CedantCountry, Cedant
Country by LOBCountry, LOB
Country by LOB by CedantCountry, Cedant, LOB
Country by Loss TypeCountry, Loss Type
CrestaCresta
Cresta by CedantCresta, Cedant
Cresta by LOBCresta, LOB
Cresta by LOB by CedantCresta, Cedant, LOB
Cresta by Loss TypeCresta, Loss Type
DistrictDistrict
District by LOBDistrict, LOB
FacultativeFacultative
LOBLOB
LocationRisk
Location by Loss TypeRisk, LossType
Loss TypeLossType
Loss Type by CedantLossType, Cedant
Loss Type by LOBLossType, Cedant, LOB
Loss Type by LOB by CedantLossType, Cedant, LOB
Other GeoIDOtherGeoId
Other GeoID by LOBOtherGeoId, LOB
PolicySection
Policy Special ConditionsSectionSpecialConditions
Policy by Loss TypeSection, LossType
PortfolioPortfolio
PostalCodeCountry, PostalCode
PostalCode by CedantCountry, PostalCode, Cedant
PostalCode by LOBCountry, PostalCode, LOB
PostalCode by LOB by CedantCountry, PostalCode, Cedant, `LOB
PostalCode by Loss TypeCountry, PostalCode, Loss Type

Knowledge Base

Body Params
string

Name of output profile.

boolean
Defaults to false

Output required for grouping and post-analysis treaty editing is returned by default. If true, the analysis does not return default output and only returns output data for granularities and financial perspectives specified in the output profile.

metricRequests
array of objects
required

List of metrics to return. Each object maps a metric type to a financial perspective and one or more granularities.

metricRequests*
Responses

500

ERROR: Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json